$gray-color: #818581;

:host {
  display: flex;
  width: 100%;
  height: 100vh;
  background: #ececec;

  .wrapper {
    display: flex;
    width: 100%;
    flex-direction: column;

    &__header {
      padding-left: 30px;
      flex: 0 0 64px;
    }

    &__actions {
      padding: 30px;
      display: flex;
      height: 96px;

      &--create {
        background: white;
        height: 36px;
      }

      &--generate {
        margin-left: 15px;
        background: #bfbfbf;
        height: 36px;
      }

      &--update-all {
        background: gray;
        color: #fff;
        height: 36px;
        margin-left: 15px;
      }

      &--remove-all {
        background: crimson;
        color: #fff;
        margin-left: auto;
        height: 36px;
      }
    }

    &__list {
      padding: 0 30px;
      text-decoration: none;
      overflow-y: scroll;
    }

    .book-item {
      display: flex;
      align-items: center;
      justify-content: space-between;
      border-radius: 3px;
      background: white;
      margin-bottom: 10px;
      box-shadow: -2px 3px 1px #bfbfbf;
      padding: 15px;

      &__description {
        display: flex;
        width: 100%;
        align-items: center;
      }

      .left-side {
        display: flex;
        flex-direction: column;
        min-width: 50%;

        &__title {
          font-weight: 500;
          font-size: 32px;
        }

        &__author {
          color: $gray-color;
          font-size: 16px;
        }
      }

      .right-side {
        display: flex;
        color: $gray-color;

        &__releasing-date,
        &__price,
        &__publishing-house {
          padding-left: 5px;
        }
      }


      &__actions {
        display: flex;

        &--delete {
          padding-left: 15px;
          cursor: pointer;
        }

        &--edit {
          cursor: pointer;
        }
      }
    }
  }
}
